Name:		fbg2
Version:	0.4
Release:	2%{?dist}
Summary:	A falling block stacking game
Group:		Amusements/Games
# Code is GPLv2+, music and graphics are CC-BY-SA
License:	GPLv2+ and CC-BY-SA
URL:		http://sourceforge.net/projects/fbg/
Source0:	http://downloads.sourceforge.net/project/fbg/%{name}-%{version}.tar.gz
Patch0:		fbg2-0.4-desktop-fix.patch
BuildRequires:	radius-engine-devel >= 0.7, desktop-file-utils, zip

%description
Falling Block Game is a free, open source block stacking game. The object of 
the game is to move and rotate pieces in order to fill in complete rows. The 
more rows you clear at once, the more points you score! 

%prep
%setup -q
%patch0 -p1 -b .fix
chmod -x License.txt ChangeLog *.c

%build
%configure
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot}
desktop-file-validate %{buildroot}%{_datadir}/applications/fbg2.desktop

%files
%doc License.txt ChangeLog
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/%{name}.png

%changelog
* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Dec  9 2011 Tom Callaway <spot@fedoraproject.org> - 0.4-1
- update to 0.4

* Tue Dec 06 2011 Adam Jackson <ajax@redhat.com> - 0.3-3
- Rebuild for new libpng

* Mon Feb 21 2011 Tom Callaway <spot@fedoraproject.org> 0.3-2
- add zip to BuildRequires

* Tue Jan  4 2011 Tom Callaway <spot@fedoraproject.org> 0.3-1
- initial package
